

# ListProfiles


Lists all profiles in the authenticated account and AWS Region.

 **Required permissions: ** `rolesanywhere:ListProfiles`. 

## Request Syntax


```
GET /profiles?nextToken=nextToken&pageSize=pageSize HTTP/1.1
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [nextToken](#API_ListProfiles_RequestSyntax) **   <a name="rolesanywhere-ListProfiles-request-uri-nextToken"></a>
A token that indicates where the output should continue from, if a previous request did not show all results. To get the next results, make the request again with this value.  
Length Constraints: Minimum length of 1. Maximum length of 10000.

 ** [pageSize](#API_ListProfiles_RequestSyntax) **   <a name="rolesanywhere-ListProfiles-request-uri-pageSize"></a>
The number of resources in the paginated list. 

## Request Body


The request does not have a request body.

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "nextToken": "string",
   "profiles": [ 
      { 
         "acceptRoleSessionName": boolean,
         "attributeMappings": [ 
            { 
               "certificateField": "string",
               "mappingRules": [ 
                  { 
                     "specifier": "string"
                  }
               ]
            }
         ],
         "createdAt": "string",
         "createdBy": "string",
         "durationSeconds": number,
         "enabled": boolean,
         "managedPolicyArns": [ "string" ],
         "name": "string",
         "profileArn": "string",
         "profileId": "string",
         "requireInstanceProperties": boolean,
         "roleArns": [ "string" ],
         "sessionPolicy": "string",
         "updatedAt": "string"
      }
   ]
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [nextToken](#API_ListProfiles_ResponseSyntax) **   <a name="rolesanywhere-ListProfiles-response-nextToken"></a>
A token that indicates where the output should continue from, if a previous request did not show all results. To get the next results, make the request again with this value.  
Type: String

 ** [profiles](#API_ListProfiles_ResponseSyntax) **   <a name="rolesanywhere-ListProfiles-response-profiles"></a>
A list of profiles.  
Type: Array of [ProfileDetail](API_ProfileDetail.md) objects

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** ValidationException **   
Validation exception error.  
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/rolesanywhere-2018-05-10/ListProfiles) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/rolesanywhere-2018-05-10/ListProfiles) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/rolesanywhere-2018-05-10/ListProfiles) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/rolesanywhere-2018-05-10/ListProfiles) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/rolesanywhere-2018-05-10/ListProfiles) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/rolesanywhere-2018-05-10/ListProfiles) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/rolesanywhere-2018-05-10/ListProfiles) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/rolesanywhere-2018-05-10/ListProfiles) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/rolesanywhere-2018-05-10/ListProfiles) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/rolesanywhere-2018-05-10/ListProfiles) 